VERSION 5.00
Begin VB.Form frmHaupt 
   BorderStyle     =   3  'Fester Dialog
   Caption         =   "Beispiel fr Mehrfachauswahl in der Listbox und der filebox"
   ClientHeight    =   4470
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   8880
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4470
   ScaleWidth      =   8880
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows-Standard
   Begin VB.FileListBox filDatei 
      Appearance      =   0  '2D
      Height          =   4320
      Left            =   0
      MultiSelect     =   2  'Erweitert
      TabIndex        =   3
      ToolTipText     =   "Liste mit Dateien die als Hintergrundbilder in Frage kommen knnten"
      Top             =   0
      Width           =   2460
   End
   Begin VB.CommandButton cmdloeschen 
      Caption         =   "lschen"
      Enabled         =   0   'False
      Height          =   465
      Left            =   2700
      TabIndex        =   2
      ToolTipText     =   "Lscht den aktuell markierten Eintrag in der rechten Liste"
      Top             =   765
      Width           =   1170
   End
   Begin VB.CommandButton cmduebernehmen 
      Caption         =   "bernehmen"
      Enabled         =   0   'False
      Height          =   465
      Left            =   2700
      TabIndex        =   1
      ToolTipText     =   "bernimmt den in der linken Liste markierten Eintrag in die rechte Liste"
      Top             =   1245
      Width           =   1170
   End
   Begin VB.ListBox lstDateien 
      Appearance      =   0  '2D
      Height          =   4320
      Left            =   4095
      MultiSelect     =   2  'Erweitert
      OLEDropMode     =   1  'Manuell
      TabIndex        =   0
      ToolTipText     =   "Liste mit Hintergrundbildern"
      Top             =   15
      Width           =   4785
   End
End
Attribute VB_Name = "frmHaupt"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Dieser Source stammt von http//www.activevb.de
'und kann frei verwendet werden. Fr eventuelle Schden
'wird nicht gehaftet.

'Um Fehler oder Fragen zu klren, nutzen Sie bitte unser Forum.
'Ansonsten viel Spa und Erfolg mit diesem Source!

'Autor: Stefan Paproth
'Mail: Pappi-@gmx.de
'berarbeitet von Jochen Wierum (JoWi@ActiveVB.de)

Option Explicit

Private Sub cmdloeschen_Click()
    Dim f As Integer
    
    'Schleife von 0 bis Anzahl Eintrge in Listbox
    For f = 0 To lstDateien.ListCount - 1
        
        'Sind wir durch?
        'Diese berprfung ist notwendig, weil sich die
        'ListCount Eigenschaft ndert, wenn ein Eintrag
        'gelscht wurde. Die Schleife prft diese
        'Eigenschaft aber nur einmal und so knnen
        'Fehler auftreten.
        If lstDateien.ListCount = f Then Exit For
        
        'Wenn Eintrag markiert dann...
        If lstDateien.Selected(f) = True Then
            
            '...Eintrag lschen
            lstDateien.RemoveItem f
            
            'Zhler um 1 zurcksetzen, um das Element, was
            'jetzt auf Position f liegt, erneut zu prfen
            f = f - 1
        End If
    Next f
    
    cmdloeschen.Enabled = False
End Sub

Private Sub filDatei_Click()
    cmduebernehmen.Enabled = True
End Sub

Private Sub filDatei_DblClick()
    
    'Datei aus der Filelistbox bei Doppelklick in die Listbox einfgen:
    If Right(filDatei.Path, 1) = "\" Then
        lstDateien.AddItem filDatei.Path & filDatei.FileName
    Else
        lstDateien.AddItem filDatei.Path & "\" & filDatei.FileName
    End If
End Sub

Private Sub cmduebernehmen_Click()
    'Datei aus der Filelistbox bei Buttonklick in die Listbox einfgen.
    Dim t As Integer
    
    'In dieser Schleife wird berprft,
    'welche Eintrge markiert wurden.
    'Diese werden dann kopiert.
    For t = 0 To filDatei.ListCount - 1
        If filDatei.Selected(t) = True Then
            If Right(filDatei.Path, 1) = "\" Then
                lstDateien.AddItem filDatei.Path & filDatei.List(t)
            Else
                lstDateien.AddItem filDatei.Path & "\" & filDatei.List(t)
            End If
        End If
    Next t
End Sub

Private Sub lstDateien_Click()
    cmdloeschen.Enabled = True
End Sub
